<template>
  <v-container
    fluid
  >
    <v-row justify="center">
      <v-col
        cols="12"
        md="12"
      >
        <material-card
          color="primary"
        >
          <v-form>
            <v-container class="py-0">
              <v-row>
                <v-col
                  cols="12"
                  md="6"
                >
                  <v-text-field

                    v-model="example.userName"
                    label="userName"
                    disabled
                  />
                </v-col>

                <v-col
                  cols="12"
                  md="6"
                >
                  <v-text-field
                    v-model="example.userCode"
                    color="purple"
                    label="userCode"
                    disabled
                  />
                </v-col>

                <v-col
                  cols="12"
                  md="4"
                >
                  <v-text-field
                    v-model="example.borrowerAddress"
                    color="purple"
                    label="borrowerAddress"
                  />
                </v-col>

                <v-col
                  cols="12"
                  md="4"
                >
                  <v-text-field
                    v-model="example.borrowerName"
                    color="purple"
                    label="borrowerName"
                  />
                </v-col>

                <v-col

                  cols="12"
                  md="4"
                >
                  <v-text-field
                    v-model="example.borrowerTelephone"
                    color="purple"
                    label="borrowerTelephone"
                  />
                </v-col>

                <v-col
                  cols="12"
                  md="4"
                >
                  <v-text-field
                    v-model="example.borrowerEmail"
                    color="purple"
                    label="borrowerEmail"
                  />
                </v-col>

                <!-- <v-col
                  cols="12"
                  md="4"
                >
                  <v-text-field
                    color="purple"
                    label="Postal Code"
                    type="number"
                  />
                </v-col> -->

                <v-col cols="12">
                  <v-textarea
                    v-model="example.borrowerLink"
                    color="purple"
                    label="borrowerLink"
                  />
                </v-col>
                <v-col
                  cols="12"
                  md="6"
                  class="text-left"
                >
                  <v-btn
                    color="secondary"
                    min-width="150"
                    @click="goBack"
                  >
                    back
                  </v-btn>
                </v-col>
                <v-col
                  cols="12"
                  md="6"
                  class="text-right"
                >
                  <v-btn
                    color="primary"
                    min-width="150"
                    @click="sendRequest"
                  >
                    update
                  </v-btn>
                </v-col>
              </v-row>
            </v-container>
          </v-form>
          <v-alert
            v-show="showAlert"
            dense
            type="success"
          >
            Updates succesfully
          </v-alert>

          <v-alert
            v-show="showError"
            dense
            type="error"
          >
            Some information is not right! Please check again
          </v-alert>
        </material-card>
      </v-col>
    </v-row>
  </v-container>
</template>

<script>
// {
//     "status": "返回状态（需要规定状态数以确认是否有企业信息）",
//     "userName": "企业用户名（如BaiDu）",
//     "userCode": "企业编码（工商注册号如310115400176517）",
//      "applyTime":"申请时间"
//     "borrowerName": "企业名（如百度（中国）有限公司）",
//     "borrowerTelephone": "企业电话",
//     "borrowerAddress": "企业地址",
//     "borrowerEmail": "企业邮箱",
//     "borrowerLink": "企业天眼查链接"
// }
  import { showEnterpriseInfo, manageEnterpriseInfo } from '@/request/api.js'
  export default {
    name: 'UserProfileView',
    data () {
      return {
        example: {
          // userName: 'BaiDu',
          // userCode: '310115400176517',
          // borrowerAddress: 'huangdu',
          // borrowerName: '百度（中国）有限公司',
          // borrowerTelephone: '1231235',
          // borrowerEmail: 'secretarybd@yaojipoker.com',
          // borrowerLink: 'www,sadasasdsad',
        },
        showError: 0,
        showAlert: 0,
      }
    },

    mounted: function () {
      const userName = localStorage.getItem('UserName')
      showEnterpriseInfo({ userName }).then(
        resolve => {
          console.log(resolve)
          this.example = { ...resolve }
        },
      ).catch(err => { console.log(err) })
    },

    methods: {
      goBack: function () {
        console.log(this.$router.go)
        this.$router.go(-1)
        // console.log(1)
        // console.log(this.$router)
      },
      sendRequest: function () {
        console.log('A request is send!')
        // this.$router.go(-1)
        const params = { ...this.example }
        manageEnterpriseInfo(params).then(resolve => {
          console.log(resolve)
          const userName = localStorage.getItem('UserName')
          showEnterpriseInfo({ userName }).then(
            resolve => {
              this.example = { ...resolve }
            },
          ).catch(err => { console.log(err) })
        })
          .catch(error => {
            console.log('失败')
            console.log(error)
            this.showError = 1
            setTimeout(() => {
              this.showError = 0
              this.step--
            }, 2000)
          })
      },
    },
  }
</script>
